net.sf.jasperreports.engine.fill

## Interface DatasetExpressionEvaluator

- All Known Implementing Classes:
    BuiltinExpressionEvaluatorDecorator, FillExpressionEvaluatorDatasetAdapter, GroovyEvaluator, JavaScriptCompiledEvaluator, JavaScriptEvaluator, JRBshEvaluator, JREvaluator

      public interface DatasetExpressionEvaluator

  Version:
    $Id: DatasetExpressionEvaluator.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(JRExpression expression)`
    `java.lang.Object` | `evaluateEstimated(JRExpression expression)`
    `java.lang.Object` | `evaluateOld(JRExpression expression)`
    `void` | `init(java.util.Map<java.lang.String,JRFillParameter> parametersMap, java.util.Map<java.lang.String,JRFillField> fieldsMap, java.util.Map<java.lang.String,JRFillVariable> variablesMap, WhenResourceMissingTypeEnum resourceMissingType)`

- - ### Method Detail

    - #### init

          void init(java.util.Map<java.lang.String,JRFillParameter> parametersMap,
                  java.util.Map<java.lang.String,JRFillField> fieldsMap,
                  java.util.Map<java.lang.String,JRFillVariable> variablesMap,
                  WhenResourceMissingTypeEnum resourceMissingType)
                    throws JRException

      Throws:
        `JRException`

    - #### evaluate

          java.lang.Object evaluate(JRExpression expression)
                                    throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateOld

          java.lang.Object evaluateOld(JRExpression expression)
                                       throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

    - #### evaluateEstimated

          java.lang.Object evaluateEstimated(JRExpression expression)
                                             throws JRExpressionEvalException

      Throws:
        `JRExpressionEvalException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com